Update Snapshot Ttl
/api/snapshot/:snapshot_id/ttlUpdate the TTL (Time To Live) for a snapshot.
Request
Path Parameters
- snapshot_idstringrequired
application/json
Bodyrequired
- object
- ttl_secondsinteger | nullrequired
New TTL in seconds. To clear TTL pass null.
- ttl_secondsinteger | nullrequired
Responses
- 200
- 422
application/json
Schema
- object
- createdintegerrequired
Unix timestamp of when the snapshot was created
- digeststring | null
User provided digest of the snapshot content. Useful for caching if the snapshot takes a long time to create.
- idstringrequired
Unique identifier for the snapshot, like snapshot_xxxx
metadataobject
User provided metadata for the snapshot
- Additional propertiesstring
- objectstring
Object type, always 'snapshot'
Value:
"snapshot"Default:
"snapshot" refsobjectrequired
- image_idstringrequired
specobjectrequired
- disk_sizeintegerrequired
Size of the snapshot in megabytes
- memoryintegerrequired
Memory of the snaphshot in megabytes
- vcpusintegerrequired
VCPU Count of the snaphshot
- disk_sizeintegerrequired
- statusstringrequired
Status of the snapshot
Allowed values:
"pending","ready","failed","deleting","deleted" ttlobjectrequired
Time to live settings for the snapshot. If not set, the snapshot will not expire.
- ttl_expire_atinteger | null
Unix timestamp of when the snapshot will expire
- ttl_secondsinteger | nullrequired
Time to live in seconds for the snapshot
- ttl_expire_atinteger | null
- createdintegerrequired
application/json
Schema
- object
detailarray of object
Itemsobject
locarray of string | integerrequired
Itemsstring | integer
Any of the following schemas:
- stringstring
- integerinteger
- msgstringrequired
- typestringrequired